"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Emitter = void 0;
const subscriber_service_1 = require("./../services/subscriber.service");
class Emitter {
    constructor(configuration) {
        this.subscribers = [];
        this.configuration = null;
        this.configuration = configuration;
    }
    static get(configuration) {
        if (!Emitter.instance) {
            Emitter.instance = new Emitter(configuration);
        }
        return Emitter.instance;
    }
    subscribe(event) {
        if (this.subscribers.filter(subscriber => subscriber.event === event).length === 0) {
            this.subscribers.push(new subscriber_service_1.Subscriber(event));
        }
    }
    unsubscribe(event) {
        const idx = this.subscribers.findIndex(entry => entry.event === event);
        if (idx) {
            this.subscribers.splice(idx, 1);
        }
    }
    list(event = null) {
        return this.subscribers.filter(subscriber => event ? subscriber.event === event : true).map(subscriber => subscriber.event);
    }
    count() {
        return this.subscribers.length;
    }
    async emit(event, payload) {
        return this.subscribers.find(subscriber => subscriber.event === event)?.handler(event, payload);
    }
}
exports.Emitter = Emitter;
Emitter.instance = null;
