import { Transporter } from './../transporter.class';
import { IBuildable } from './../../types/interfaces/IBuildable.interface';
import { IMailgunError } from './IMailgunError.interface';
import { IAddressable } from './../../types/interfaces/addresses/IAddressable.interface';
import { ITransporter } from './../ITransporter.interface';
import { ISendMail } from './../../types/interfaces/ISendMail.interface';
import { SendingError } from './../../classes/sending-error.class';
import { SendingResponse } from './../../classes/sending-response.class';
export declare class MailgunTransporter extends Transporter implements ITransporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    address(recipient: string | IAddressable): string;
    addresses(recipients: Array<string | IAddressable>): Array<string>;
    build({ ...args }: IBuildable): Record<string, unknown>;
    response(response: Record<string, unknown>): SendingResponse;
    error(error: IMailgunError): SendingError;
}
