import { Transporter } from './../transporter.class';
import { IAddressable } from './../../types/interfaces/addresses/IAddressable.interface';
import { IAddressA } from './../../types/interfaces/addresses/IAddressA.interface';
import { IBuildable } from './../../types/interfaces/IBuildable.interface';
import { IMailjetResponse } from './IMailjetResponse.interface';
import { IMailjetError } from './IMailjetError.interface';
import { ITransporter } from './../ITransporter.interface';
import { ISendMail } from './../../types/interfaces/ISendMail.interface';
import { SendingError } from './../../classes/sending-error.class';
import { SendingResponse } from './../../classes/sending-response.class';
export declare class MailjetTransporter extends Transporter implements ITransporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    build({ ...args }: IBuildable): Record<string, unknown>;
    address(recipient: string | IAddressable): IAddressA;
    addresses(recipients: Array<string | IAddressable>): IAddressA[];
    response(response: IMailjetResponse): SendingResponse;
    error(error: IMailjetError): SendingError;
}
