import { Transporter } from './../transporter.class';
import { IBuildable } from './../../types/interfaces/IBuildable.interface';
import { IAddressable } from './../../types/interfaces/addresses/IAddressable.interface';
import { IAddressB } from './../../types/interfaces/addresses/IAddressB.interface';
import { IMandrillResponse } from 'transporters/mandrill/IMandrillResponse.interface';
import { ITransporter } from './../ITransporter.interface';
import { ISendMail } from './../../types/interfaces/ISendMail.interface';
import { SendingError } from './../../classes/sending-error.class';
import { SendingResponse } from './../../classes/sending-response.class';
export declare class MandrillTransporter extends Transporter implements ITransporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    build({ ...args }: IBuildable): Record<string, unknown>;
    address(recipient: string | IAddressable, type?: string): string | IAddressB;
    addresses(recipients: Array<string | IAddressable>, type?: string): Array<string | IAddressB>;
    response(response: IMandrillResponse[]): SendingResponse;
    error(error: Error): SendingError;
}
