import { Transporter } from './../transporter.class';
import { IAddressable } from './../../types/interfaces/addresses/IAddressable.interface';
import { IBuildable } from './../../types/interfaces/IBuildable.interface';
import { IPostmarkError } from 'transporters/postmark/IPostmarkError.interface';
import { ISendMail } from './../../types/interfaces/ISendMail.interface';
import { SendingResponse } from './../../classes/sending-response.class';
import { SendingError } from './../../classes/sending-error.class';
import { IPostmarkBody } from './IPostmarkBody.interface';
export declare class PostmarkTransporter extends Transporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    build({ ...args }: IBuildable): IPostmarkBody;
    address(recipient: string | IAddressable): string;
    addresses(recipients: Array<string | IAddressable>): Array<string>;
    response(response: Record<string, unknown>): SendingResponse;
    error(error: IPostmarkError): SendingError;
}
