import { Transporter } from './../transporter.class';
import { IBuildable } from './../../types/interfaces/IBuildable.interface';
import { ISendgridResponse } from './ISendgridResponse.interface';
import { ITransporter } from './../ITransporter.interface';
import { IAddressable } from './../../types/interfaces/addresses/IAddressable.interface';
import { IAddressB } from './../../types/interfaces/addresses/IAddressB.interface';
import { ISendgridError } from './ISendgridError.interface';
import { ISendMail } from './../../types/interfaces/ISendMail.interface';
import { SendingResponse } from './../../classes/sending-response.class';
import { SendingError } from './../../classes/sending-error.class';
export declare class SendgridTransporter extends Transporter implements ITransporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    build({ ...args }: IBuildable): Record<string, unknown>;
    address(recipient: string | IAddressable, type?: string): string | IAddressB;
    addresses(recipients: Array<string | IAddressable>): Array<string | IAddressB>;
    response(response: ISendgridResponse[]): SendingResponse;
    error(error: ISendgridError): SendingError;
}
