import { Transporter } from './../transporter.class';
import { IAddressable } from './../../types/interfaces/addresses/IAddressable.interface';
import { ISendinblueResponse } from './ISendinblueResponse.interface';
import { IBuildable } from './../../types/interfaces/IBuildable.interface';
import { IAddressB } from './../../types/interfaces/addresses/IAddressB.interface';
import { ISendMail } from './../../types/interfaces/ISendMail.interface';
import { SendingError } from './../../classes/sending-error.class';
import { SendingResponse } from './../../classes/sending-response.class';
export declare class SendinblueTransporter extends Transporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    build({ ...args }: IBuildable): Record<string, unknown>;
    address(recipient: string | IAddressable): IAddressB;
    addresses(recipients: Array<string | IAddressable>): Array<IAddressB>;
    response(response: ISendinblueResponse): SendingResponse;
    error(error: Error): SendingError;
}
