import { Transporter } from './../transporter.class';
import { IAddressable } from './../../types/interfaces/addresses/IAddressable.interface';
import { ISMTPResponse } from './ISMTPResponse.interface';
import { IBuildable } from './../../types/interfaces/IBuildable.interface';
import { IGmailError } from './IGmailError.interface';
import { IInfomaniakError } from './IInformaniakError.interface';
import { ISMTPError } from './ISMTPError.interface';
import { ITransporter } from './../ITransporter.interface';
import { ISendMail } from './../../types/interfaces/ISendMail.interface';
import { SendingError } from './../../classes/sending-error.class';
import { SendingResponse } from './../../classes/sending-response.class';
export declare class SmtpTransporter extends Transporter implements ITransporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    build({ ...args }: IBuildable): Record<string, unknown>;
    address(recipient: string | IAddressable): string;
    addresses(recipients: Array<string | IAddressable>): Array<string>;
    response(response: ISMTPResponse): SendingResponse;
    error(error: Error | IGmailError | IInfomaniakError | ISMTPError): SendingError;
}
