import { Transporter } from '../transporter.class';
import { ITransporter } from '../ITransporter.interface';
import { ISparkpostError } from './ISparkpostError.interface';
import { IBuildable } from '../../types/interfaces/IBuildable.interface';
import { IAddressable } from '../../types/interfaces/addresses/IAddressable.interface';
import { ISparkpostBody } from './ISparkpostBody.interface';
import { IAddressD } from '../../types/interfaces/addresses/IAddressD.interface';
import { ISendMail } from '../../types/interfaces/ISendMail.interface';
import { SendingError } from '../../classes/sending-error.class';
import { SendingResponse } from '../../classes/sending-response.class';
export declare class SparkpostTransporter extends Transporter implements ITransporter {
    transporter: ISendMail;
    constructor(transporterEngine: ISendMail);
    build({ ...args }: IBuildable): ISparkpostBody;
    address(recipient: string | IAddressable): IAddressD;
    addresses(recipients: Array<string | IAddressable>): IAddressD[];
    response(response: Record<string, unknown>): SendingResponse;
    error(error: ISparkpostError): SendingError;
}
