import { SendingResponse } from './../classes/sending-response.class';
import { SendingError } from './../classes/sending-error.class';
import { ISendMail } from './../types/interfaces/ISendMail.interface';
import { IBuildable } from './../types/interfaces/IBuildable.interface';
export declare abstract class Transporter {
    transporter: ISendMail;
    constructor();
    error(err: any): any;
    response(res: any): any;
    build({ ...args }: IBuildable): any;
    send(body: Record<string, unknown>): Promise<SendingResponse | SendingError>;
}
