import { IAttachment } from './IAttachment.interface';
import { IAddressable } from './addresses/IAddressable.interface';
import { IBuffer } from './IBuffer.interface';
import { Compiler } from '../types/compiler.type';
export interface IPayload {
    compiler?: Compiler;
    meta: {
        templateId?: string;
        from?: IAddressable;
        to: Array<string> | Array<IAddressable>;
        replyTo?: IAddressable;
        subject: string;
        cc?: Array<string | IAddressable>;
        bcc?: Array<string | IAddressable>;
        attachments?: Array<IAttachment>;
        inlineImages?: Array<IAttachment>;
    };
    data?: Record<string, unknown>;
    content?: IBuffer[];
}
